<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>FrmBackgroundCorrection</class>
 <widget class="QWidget" name="FrmBackgroundCorrection">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>726</width>
    <height>599</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Background Correction</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_4">
   <property name="spacing">
    <number>3</number>
   </property>
   <property name="margin">
    <number>6</number>
   </property>
   <item>
    <widget class="QGroupBox" name="groupBox_3">
     <property name="title">
      <string>Select images for background correction</string>
     </property>
     <layout class="QHBoxLayout" name="horizontalLayout_3">
      <property name="spacing">
       <number>3</number>
      </property>
      <property name="margin">
       <number>6</number>
      </property>
      <item>
       <widget class="QGroupBox" name="groupBox">
        <property name="title">
         <string>Positions</string>
        </property>
        <layout class="QVBoxLayout" name="verticalLayout">
         <property name="spacing">
          <number>1</number>
         </property>
         <property name="margin">
          <number>3</number>
         </property>
         <item>
          <widget class="QListView" name="lvwPositions">
           <property name="editTriggers">
            <set>QAbstractItemView::NoEditTriggers</set>
           </property>
           <property name="selectionMode">
            <enum>QAbstractItemView::MultiSelection</enum>
           </property>
           <property name="selectionRectVisible">
            <bool>true</bool>
           </property>
          </widget>
         </item>
         <item>
          <layout class="QHBoxLayout" name="horizontalLayout">
           <item>
            <widget class="QPushButton" name="pbtSelectAllPositions">
             <property name="text">
              <string>Select all</string>
             </property>
             <property name="icon">
              <iconset resource="../TTTResource.qrc">
               <normaloff>:/ttt/ttticons/dialog-ok-apply-2.png</normaloff>:/ttt/ttticons/dialog-ok-apply-2.png</iconset>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QPushButton" name="pbtClearPositionSelection">
             <property name="enabled">
              <bool>false</bool>
             </property>
             <property name="text">
              <string>Clear selection</string>
             </property>
             <property name="icon">
              <iconset resource="../TTTResource.qrc">
               <normaloff>:/ttt/ttticons/Icon_dialog-close-2.png</normaloff>:/ttt/ttticons/Icon_dialog-close-2.png</iconset>
             </property>
            </widget>
           </item>
           <item>
            <spacer name="horizontalSpacer_2">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
               <height>20</height>
              </size>
             </property>
            </spacer>
           </item>
           <item>
            <widget class="QLabel" name="label_7">
             <property name="text">
              <string>Selected:</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QLabel" name="lblNumSelectedPositions">
             <property name="text">
              <string>0</string>
             </property>
            </widget>
           </item>
          </layout>
         </item>
        </layout>
       </widget>
      </item>
      <item>
       <widget class="QGroupBox" name="groupBox_2">
        <property name="title">
         <string>Channels (wavelengths)</string>
        </property>
        <layout class="QVBoxLayout" name="verticalLayout_2">
         <property name="spacing">
          <number>1</number>
         </property>
         <property name="margin">
          <number>3</number>
         </property>
         <item>
          <widget class="QListView" name="lvwChannels">
           <property name="editTriggers">
            <set>QAbstractItemView::NoEditTriggers</set>
           </property>
           <property name="selectionMode">
            <enum>QAbstractItemView::MultiSelection</enum>
           </property>
           <property name="selectionRectVisible">
            <bool>true</bool>
           </property>
          </widget>
         </item>
         <item>
          <layout class="QHBoxLayout" name="horizontalLayout_2">
           <item>
            <widget class="QPushButton" name="pbtSelectAllChannels">
             <property name="text">
              <string>Select all</string>
             </property>
             <property name="icon">
              <iconset resource="../TTTResource.qrc">
               <normaloff>:/ttt/ttticons/dialog-ok-apply-2.png</normaloff>:/ttt/ttticons/dialog-ok-apply-2.png</iconset>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QPushButton" name="pbtClearChannelSelection">
             <property name="enabled">
              <bool>false</bool>
             </property>
             <property name="text">
              <string>Clear selection</string>
             </property>
             <property name="icon">
              <iconset resource="../TTTResource.qrc">
               <normaloff>:/ttt/ttticons/Icon_dialog-close-2.png</normaloff>:/ttt/ttticons/Icon_dialog-close-2.png</iconset>
             </property>
            </widget>
           </item>
           <item>
            <spacer name="horizontalSpacer_3">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
               <height>20</height>
              </size>
             </property>
            </spacer>
           </item>
           <item>
            <widget class="QLabel" name="label_9">
             <property name="text">
              <string>Selected:</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QLabel" name="lblNumSelectedChannels">
             <property name="text">
              <string>0</string>
             </property>
            </widget>
           </item>
          </layout>
         </item>
        </layout>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QGroupBox" name="grbGainInterval">
     <property name="title">
      <string>Specify interval for gain calculation (will use all images in interval)</string>
     </property>
     <property name="checkable">
      <bool>true</bool>
     </property>
     <property name="checked">
      <bool>false</bool>
     </property>
     <layout class="QHBoxLayout" name="horizontalLayout_5">
      <property name="spacing">
       <number>3</number>
      </property>
      <property name="margin">
       <number>6</number>
      </property>
      <item>
       <widget class="QLabel" name="label">
        <property name="text">
         <string>Min timepoint:</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QSpinBox" name="spbGainStart">
        <property name="minimum">
         <number>1</number>
        </property>
        <property name="maximum">
         <number>99999</number>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QLabel" name="label_2">
        <property name="text">
         <string>Max timepoint:</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QSpinBox" name="spbGainEnd">
        <property name="minimum">
         <number>1</number>
        </property>
        <property name="maximum">
         <number>99999</number>
        </property>
       </widget>
      </item>
      <item>
       <spacer name="horizontalSpacer_4">
        <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>31</width>
          <height>20</height>
         </size>
        </property>
       </spacer>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <layout class="QHBoxLayout" name="horizontalLayout_4">
     <item>
      <widget class="QPushButton" name="pbtStart">
       <property name="enabled">
        <bool>false</bool>
       </property>
       <property name="font">
        <font>
         <weight>75</weight>
         <bold>true</bold>
        </font>
       </property>
       <property name="text">
        <string>Start background correction</string>
       </property>
       <property name="icon">
        <iconset resource="../TTTResource.qrc">
         <normaloff>:/ttt/ttticons/arrow-right-3.png</normaloff>:/ttt/ttticons/arrow-right-3.png</iconset>
       </property>
      </widget>
     </item>
     <item>
      <spacer name="horizontalSpacer">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>40</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QCheckBox" name="chkSkipAlreadyProcessed">
       <property name="text">
        <string>Skip already processed images</string>
       </property>
       <property name="checked">
        <bool>true</bool>
       </property>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <resources>
  <include location="../TTTResource.qrc"/>
 </resources>
 <connections/>
</ui>
